_linkedin_partner_id = "503794"; window._linkedin_data_partner_ids = window._linkedin_data_partner_ids || []; window._linkedin_data_partner_ids.push(_linkedin_partner_id);

Knowledge Base

Device Requirements for the ID123 Apps

Operating System

In order to use any of the ID123 apps your device must meet one of the following minimum operating systems:

Required iOS 12.0 or later

Required Android 6.0 or later


Jailbroken/Rooted Devices

A “rooted” or “jailbroken” device is a device such as a smartphone or tablet, that has been altered to allow changes to the device’s operating system that are outside of the native functionality of the manufacturer. These changes can compromise the security of the device and may make the device more susceptible to malware.

For these reasons, ID123 does not allow digital ID cards to be installed on rooted devices by default for your protection. To enable your rooted device to have your institution ID cards installed on it, contact your institution to request your account be authorized to use a rooted device.

If you have any questions please feel free to contact ID123 Support.


Supported Countries

Our apps are available in most countries around the world. However, there are a few countries where our apps cannot be downloaded from their region’s app store. Please ensure your device’s app store is not set to one of the following regions:

  1. Cuba
  2. Iran
  3. Iraq
  4. North Korea
  5. Russia
  6. Belarus
  7. Sudan
  8. Syria
  9. China
Go to Top